summaryrefslogtreecommitdiff
path: root/packaging
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2013-10-25 21:37:30 +0000
committerGerald Combs <gerald@wireshark.org>2013-10-25 21:37:30 +0000
commit7a3febacac8fd14009dc82dc4d139ee43d37a437 (patch)
tree543edc363367314c0eff323eaa6c4b966f4621d5 /packaging
parenta049a2027c6d288efa4e993b5b7bfbd9b573d51a (diff)
downloadwireshark-7a3febacac8fd14009dc82dc4d139ee43d37a437.tar.gz
Exit if we're building with Qt and we can't find macdeployqt.
svn path=/trunk/; revision=52853
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-app.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/packaging/macosx/osx-app.sh b/packaging/macosx/osx-app.sh
index 71626af506..a094764ed9 100755
--- a/packaging/macosx/osx-app.sh
+++ b/packaging/macosx/osx-app.sh
@@ -562,12 +562,12 @@ rpathify_files () {
}
if [ "$ui_toolkit" = "qt" ] ; then
- macdeployqt "$bundle" -verbose=2
+ macdeployqt "$bundle" -verbose=2 || exit 1
fi
PATHLENGTH=`echo $LIBPREFIX | wc -c`
if [ "$PATHLENGTH" -ge "6" ]; then
- # If the LIBPREFIX path is long enough to allow
+ # If the LIBPREFIX path is long enough to allow
# path rewriting, then do this.
# 6 is the length of @rpath, which replaces LIBPREFIX.
rpathify_files